
package bbuvajava;
import java.util.ArrayList;

public class Caja {
    private float saldo;
    private int id;
    private ArrayList<Arqueo> mArqueo;

    public Caja () {
        mArqueo=new ArrayList();
    }

    public int getId () {
        return id;
    }

    public void setId (int val) {
        this.id = val;
    }

    public ArrayList<Arqueo> getArqueo () {
        return mArqueo;
    }

    public void incrementar_saldo(float importe){
        this.saldo+=importe;
    }

    public void decrementar_saldo(float importe){
        this.saldo-=importe;
    }

    public void setArqueo (ArrayList<Arqueo> val) {
        this.mArqueo = val;
    }

    public float getSaldo () {
        return saldo;
    }

    public void setSaldo (float val) {
        this.saldo = val;
    }

    public void RealizarArqueo(){
        Arqueo ultimoarqueo;
        int aux=mArqueo.size();
       if(aux>0){
        ultimoarqueo=mArqueo.get(aux-1);
        String uArqueo=ultimoarqueo.getNarqueo();
        Arqueo a = null;
        a=new Arqueo();
        a.setC(this);
        a.setNarqueo(uArqueo);
        a.setSaldoini(saldo);
        a.setNarqueo(String.valueOf(aux+1));
        mArqueo.add(a);
       }
       else{

        
        Arqueo a = null;
        a=new Arqueo();
        a.setC(this);
       
        a.setSaldoini(saldo);
        a.setNarqueo(String.valueOf(aux+1));
        mArqueo.add(a);

       }
    }
     public Arqueo get_Arqueo(){
         if(mArqueo.size()>0){
           Arqueo a;
           int aux2=mArqueo.size();
           a =mArqueo.get(aux2-1);
           return a;
         }
         else{
             System.out.println("no hay arquero");
             return null;
         }
     }
}




        
        



